/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef INCLUDED_DBACCESS_INC_HELPIDS_H
#define INCLUDED_DBACCESS_INC_HELPIDS_H


#define HID_DATABROWSE_HEADER                             "DBACCESS_HID_DATABROWSE_HEADER"
#define HID_CTL_TABBROWSER                                "DBACCESS_HID_CTL_TABBROWSER"
#define HID_CTL_TREEVIEW                                  "DBACCESS_HID_CTL_TREEVIEW"

#define HID_DSADMIN_BROWSECONN                            "DBACCESS_HID_DSADMIN_BROWSECONN"

#define HID_BROWSER_COLUMNFORMAT                          "DBACCESS_HID_BROWSER_COLUMNFORMAT"
#define HID_BROWSER_COLUMNWIDTH                           "DBACCESS_HID_BROWSER_COLUMNWIDTH"
#define HID_BROWSER_TABLEFORMAT                           "DBACCESS_HID_BROWSER_TABLEFORMAT"
#define HID_BROWSER_ROWHEIGHT                             "DBACCESS_HID_BROWSER_ROWHEIGHT"

#define HID_CTL_QRYSQLEDIT                                "DBACCESS_HID_CTL_QRYSQLEDIT"

#define HID_CTL_QRYDGNTAB                                 "DBACCESS_HID_CTL_QRYDGNTAB"
#define HID_CTL_QRYDGNCRIT                                "DBACCESS_HID_CTL_QRYDGNCRIT"
#define HID_QRYDGN_ROW_VISIBLE                            "DBACCESS_HID_QRYDGN_ROW_VISIBLE"
#define HID_QRYDGN_ROW_TABLE                              "DBACCESS_HID_QRYDGN_ROW_TABLE"
#define HID_QRYDGN_ROW_FIELD                              "DBACCESS_HID_QRYDGN_ROW_FIELD"
#define HID_QRYDGN_ROW_ORDER                              "DBACCESS_HID_QRYDGN_ROW_ORDER"
#define HID_QRYDGN_ROW_FUNCTION                           "DBACCESS_HID_QRYDGN_ROW_FUNCTION"
#define HID_QRYDGN_ROW_ALIAS                              "DBACCESS_HID_QRYDGN_ROW_ALIAS"
#define HID_QRYDGN_ROW_CRIT                               "DBACCESS_HID_QRYDGN_ROW_CRIT"

#define HID_TAB_DESIGN_FIELDCONTROL                       "DBACCESS_HID_TAB_DESIGN_FIELDCONTROL"
#define HID_TABLE_DESIGN_HELP_WINDOW                      "DBACCESS_HID_TABLE_DESIGN_HELP_WINDOW"
#define HID_TAB_DESIGN_DESCWIN                            "DBACCESS_HID_TAB_DESIGN_DESCWIN"
#define HID_TABDESIGN_BACKGROUND                          "DBACCESS_HID_TABDESIGN_BACKGROUND"
#define HID_CTL_TABLEEDIT                                 "DBACCESS_HID_CTL_TABLEEDIT"
#define HID_TABDESIGN_NAMECELL                            "DBACCESS_HID_TABDESIGN_NAMECELL"
#define HID_TABDESIGN_TYPECELL                            "DBACCESS_HID_TABDESIGN_TYPECELL"
#define HID_TABDESIGN_COMMENTCELL                         "DBACCESS_HID_TABDESIGN_COMMENTCELL"
#define HID_TAB_DESIGN_HELP_TEXT_FRAME                    "DBACCESS_HID_TAB_DESIGN_HELP_TEXT_FRAME"
#define HID_TABLE_DESIGN_TABPAGE_GENERAL                  "DBACCESS_HID_TABLE_DESIGN_TABPAGE_GENERAL"
#define HID_TAB_ENT_DEFAULT                               "DBACCESS_HID_TAB_ENT_DEFAULT"
#define HID_TAB_ENT_FORMAT_SAMPLE                         "DBACCESS_HID_TAB_ENT_FORMAT_SAMPLE"
#define HID_TAB_ENT_FORMAT                                "DBACCESS_HID_TAB_ENT_FORMAT"
#define HID_TAB_ENT_BOOL_DEFAULT                          "DBACCESS_HID_TAB_ENT_BOOL_DEFAULT"
#define HID_TAB_ENT_REQUIRED                              "DBACCESS_HID_TAB_ENT_REQUIRED"
#define HID_TAB_ENT_AUTOINCREMENT                         "DBACCESS_HID_TAB_ENT_AUTOINCREMENT"
#define HID_TAB_ENT_TEXT_LEN                              "DBACCESS_HID_TAB_ENT_TEXT_LEN"
#define HID_TAB_ENT_TYPE                                  "DBACCESS_HID_TAB_ENT_TYPE"
#define HID_TAB_ENT_COLUMNNAME                            "DBACCESS_HID_TAB_ENT_COLUMNNAME"
#define HID_TAB_ENT_NUMTYP                                "DBACCESS_HID_TAB_ENT_NUMTYP"
#define HID_TAB_ENT_LEN                                   "DBACCESS_HID_TAB_ENT_LEN"
#define HID_TAB_ENT_SCALE                                 "DBACCESS_HID_TAB_ENT_SCALE"
#define HID_CTL_RELATIONTAB                               "DBACCESS_HID_CTL_RELATIONTAB"
#define HID_RELATIONDIALOG_LEFTFIELDCELL                  "DBACCESS_HID_RELATIONDIALOG_LEFTFIELDCELL"
#define HID_RELATIONDIALOG_RIGHTFIELDCELL                 "DBACCESS_HID_RELATIONDIALOG_RIGHTFIELDCELL"
#define HID_CONFIRM_DROP_BUTTON_ALL                       "DBACCESS_HID_CONFIRM_DROP_BUTTON_ALL"
#define HID_DSADMIN_LDAP_HOSTNAME                         "DBACCESS_HID_DSADMIN_LDAP_HOSTNAME"
#define HID_DSADMIN_MOZILLA_PROFILE_NAME                  "DBACCESS_HID_DSADMIN_MOZILLA_PROFILE_NAME"
#define HID_DSADMIN_THUNDERBIRD_PROFILE_NAME              "DBACCESS_HID_DSADMIN_THUNDERBIRD_PROFILE_NAME"

#define HID_DLGINDEX_INDEXDETAILS_FIELD                   "DBACCESS_HID_DLGINDEX_INDEXDETAILS_FIELD"
#define HID_DLGINDEX_INDEXDETAILS_SORTORDER               "DBACCESS_HID_DLGINDEX_INDEXDETAILS_SORTORDER"

#define HID_TAB_AUTOINCREMENTVALUE                        "DBACCESS_HID_TAB_AUTOINCREMENTVALUE"

#define HID_DSADMIN_DBASE_PATH                            "DBACCESS_HID_DSADMIN_DBASE_PATH"
#define HID_DSADMIN_MYSQL_DATABASE                        "DBACCESS_HID_DSADMIN_MYSQL_DATABASE"
#define HID_DSADMIN_MYSQL_ODBC_DATASOURCE                 "DBACCESS_HID_DSADMIN_MYSQL_ODBC_DATASOURCE"
#define HID_DSADMIN_ODBC_DATASOURCE                       "DBACCESS_HID_DSADMIN_ODBC_DATASOURCE"
#define HID_DSADMIN_MSACCESS_MDB_FILE                     "DBACCESS_HID_DSADMIN_MSACCESS_MDB_FILE"
#define HID_DSADMIN_FLAT_PATH                             "DBACCESS_HID_DSADMIN_FLAT_PATH"
#define HID_DSADMIN_CALC_PATH                             "DBACCESS_HID_DSADMIN_CALC_PATH"
#define HID_DSADMIN_WRITER_PATH                           "DBACCESS_HID_DSADMIN_WRITER_PATH"
#define HID_DSADMIN_ORACLE_DATABASE                       "DBACCESS_HID_DSADMIN_ORACLE_DATABASE"

#define HID_APP_TABLE_TREE                                "DBACCESS_HID_APP_TABLE_TREE"
#define HID_APP_FORM_TREE                                 "DBACCESS_HID_APP_FORM_TREE"
#define HID_APP_QUERY_TREE                                "DBACCESS_HID_APP_QUERY_TREE"
#define HID_APP_REPORT_TREE                               "DBACCESS_HID_APP_REPORT_TREE"
#define HID_APP_CREATION_LIST                             "DBACCESS_HID_APP_CREATION_LIST"
#define HID_APP_SWAP_ICONCONTROL                          "DBACCESS_HID_APP_SWAP_ICONCONTROL"


#define HID_APP_HELP_TEXT                                 "DBACCESS_HID_APP_HELP_TEXT"
#define HID_APP_DESCRIPTION_TEXT                          "DBACCESS_HID_APP_DESCRIPTION_TEXT"
#define HID_APP_VIEW_PREVIEW_CB                           "DBACCESS_HID_APP_VIEW_PREVIEW_CB"
#define HID_APP_VIEW_PREVIEW_1                            "DBACCESS_HID_APP_VIEW_PREVIEW_1"
#define HID_APP_VIEW_PREVIEW_2                            "DBACCESS_HID_APP_VIEW_PREVIEW_2"
#define HID_TABDESIGN_HELPTEXT                            "DBACCESS_HID_TABDESIGN_HELPTEXT"
#define HID_APP_VIEW_PREVIEW_3                            "DBACCESS_HID_APP_VIEW_PREVIEW_3"


#define HID_DBWIZ_PREVIOUS                                "DBACCESS_HID_DBWIZ_PREVIOUS"
#define HID_DBWIZ_NEXT                                    "DBACCESS_HID_DBWIZ_NEXT"
#define HID_DBWIZ_CANCEL                                  "DBACCESS_HID_DBWIZ_CANCEL"
#define HID_DBWIZ_FINISH                                  "DBACCESS_HID_DBWIZ_FINISH"

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
