/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef INCLUDED_EDITENG_UNONAMES_HXX
#define INCLUDED_EDITENG_UNONAMES_HXX

// Common across fields
#define UNO_TC_PROP_ANCHOR               "Anchor"
#define UNO_TC_PROP_TEXTFIELD_TYPE       "TextFieldType"
#define UNO_TC_PROP_IS_FIXED             "IsFixed"
#define UNO_TC_PROP_CURRENT_PRESENTATION "CurrentPresentation"
#define UNO_TC_PROP_NAME                 "Name"
#define UNO_TC_PROP_IS_FIXED_LANGUAGE    "IsFixedLanguage"
#define UNO_TC_PROP_NUMFORMAT            "NumberFormat"
#define UNO_TC_PROP_USED                 "IsFieldUsed"
#define UNO_TC_PROP_DISPLAYED            "IsFieldDisplayed"

// Date & Time
#define UNO_TC_PROP_IS_DATE   "IsDate"
#define UNO_TC_PROP_DATE_TIME "DateTime"

// URL
#define UNO_TC_PROP_URL_FORMAT         "Format"
#define UNO_TC_PROP_URL_REPRESENTATION "Representation"
#define UNO_TC_PROP_URL_TARGET         "TargetFrame"
#define UNO_TC_PROP_URL                "URL"

// Table
#define UNO_TC_PROP_TABLE_POSITION "TablePosition"

// File
#define UNO_TC_PROP_FILE_FORMAT "FileFormat"

// Author
#define UNO_TC_PROP_AUTHOR_CONTENT  "Content"
#define UNO_TC_PROP_AUTHOR_FORMAT   "AuthorFormat"
#define UNO_TC_PROP_AUTHOR_FULLNAME "FullName"

// Measure
#define UNO_TC_PROP_MEASURE_KIND "Kind"

#define UNO_TR_PROP_SELECTION "Selection"

#endif // INCLUDED_EDITENG_UNONAMES_HXX

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
