#ifndef INCLUDED_OFFICECFG_LDAP_HXX
#define INCLUDED_OFFICECFG_LDAP_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace LDAP {

struct UserDirectory: public comphelper::ConfigurationGroup< UserDirectory> {
    static OUString path() { return OUString("/org.openoffice.LDAP/UserDirectory"); }

struct SearchUser: public comphelper::ConfigurationProperty<SearchUser, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.LDAP/UserDirectory/SearchUser"); }
private:
    SearchUser(); // not defined
    ~SearchUser(); // not defined
};

struct SearchPassword: public comphelper::ConfigurationProperty<SearchPassword, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.LDAP/UserDirectory/SearchPassword"); }
private:
    SearchPassword(); // not defined
    ~SearchPassword(); // not defined
};

struct UserObjectClass: public comphelper::ConfigurationProperty<UserObjectClass, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.LDAP/UserDirectory/UserObjectClass"); }
private:
    UserObjectClass(); // not defined
    ~UserObjectClass(); // not defined
};

struct UserUniqueAttribute: public comphelper::ConfigurationProperty<UserUniqueAttribute, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.LDAP/UserDirectory/UserUniqueAttribute"); }
private:
    UserUniqueAttribute(); // not defined
    ~UserUniqueAttribute(); // not defined
};

struct Mapping: public comphelper::ConfigurationProperty<Mapping, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.LDAP/UserDirectory/Mapping"); }
private:
    Mapping(); // not defined
    ~Mapping(); // not defined
};

private:
    UserDirectory(); // not defined
    ~UserDirectory(); // not defined
};

} }

#endif
