#ifndef INCLUDED_OFFICECFG_OFFICE_EXTENDEDCOLORSCHEME_HXX
#define INCLUDED_OFFICECFG_OFFICE_EXTENDEDCOLORSCHEME_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace ExtendedColorScheme {

struct ExtendedColorScheme: public comphelper::ConfigurationGroup< ExtendedColorScheme> {
    static OUString path() { return OUString("/org.openoffice.Office.ExtendedColorScheme/ExtendedColorScheme"); }

struct CurrentColorScheme: public comphelper::ConfigurationProperty<CurrentColorScheme, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.ExtendedColorScheme/ExtendedColorScheme/CurrentColorScheme"); }
private:
    CurrentColorScheme(); // not defined
    ~CurrentColorScheme(); // not defined
};

struct ColorSchemes: public comphelper::ConfigurationSet< ColorSchemes> {
    static OUString path() { return OUString("/org.openoffice.Office.ExtendedColorScheme/ExtendedColorScheme/ColorSchemes"); }
private:
    ColorSchemes(); // not defined
    ~ColorSchemes(); // not defined
};

private:
    ExtendedColorScheme(); // not defined
    ~ExtendedColorScheme(); // not defined
};

struct EntryNames: public comphelper::ConfigurationSet< EntryNames> {
    static OUString path() { return OUString("/org.openoffice.Office.ExtendedColorScheme/EntryNames"); }
private:
    EntryNames(); // not defined
    ~EntryNames(); // not defined
};

} } }

#endif
