#ifndef INCLUDED_OFFICECFG_OFFICE_PRESENTATIONMINIMIZER_HXX
#define INCLUDED_OFFICECFG_OFFICE_PRESENTATIONMINIMIZER_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace PresentationMinimizer {

struct Strings: public comphelper::ConfigurationGroup< Strings> {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings"); }

struct STR_SUN_OPTIMIZATION_WIZARD2: public comphelper::ConfigurationLocalizedProperty<STR_SUN_OPTIMIZATION_WIZARD2, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_SUN_OPTIMIZATION_WIZARD2"); }
private:
    STR_SUN_OPTIMIZATION_WIZARD2(); // not defined
    ~STR_SUN_OPTIMIZATION_WIZARD2(); // not defined
};

struct STR_STEPS: public comphelper::ConfigurationLocalizedProperty<STR_STEPS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_STEPS"); }
private:
    STR_STEPS(); // not defined
    ~STR_STEPS(); // not defined
};

struct STR_BACK: public comphelper::ConfigurationLocalizedProperty<STR_BACK, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_BACK"); }
private:
    STR_BACK(); // not defined
    ~STR_BACK(); // not defined
};

struct STR_NEXT: public comphelper::ConfigurationLocalizedProperty<STR_NEXT, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_NEXT"); }
private:
    STR_NEXT(); // not defined
    ~STR_NEXT(); // not defined
};

struct STR_FINISH: public comphelper::ConfigurationLocalizedProperty<STR_FINISH, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_FINISH"); }
private:
    STR_FINISH(); // not defined
    ~STR_FINISH(); // not defined
};

struct STR_CANCEL: public comphelper::ConfigurationLocalizedProperty<STR_CANCEL, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CANCEL"); }
private:
    STR_CANCEL(); // not defined
    ~STR_CANCEL(); // not defined
};

struct STR_INTRODUCTION: public comphelper::ConfigurationLocalizedProperty<STR_INTRODUCTION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_INTRODUCTION"); }
private:
    STR_INTRODUCTION(); // not defined
    ~STR_INTRODUCTION(); // not defined
};

struct STR_INTRODUCTION_T: public comphelper::ConfigurationLocalizedProperty<STR_INTRODUCTION_T, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_INTRODUCTION_T"); }
private:
    STR_INTRODUCTION_T(); // not defined
    ~STR_INTRODUCTION_T(); // not defined
};

struct STR_CHOSE_SETTINGS: public comphelper::ConfigurationLocalizedProperty<STR_CHOSE_SETTINGS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CHOSE_SETTINGS"); }
private:
    STR_CHOSE_SETTINGS(); // not defined
    ~STR_CHOSE_SETTINGS(); // not defined
};

struct STR_REMOVE: public comphelper::ConfigurationLocalizedProperty<STR_REMOVE, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_REMOVE"); }
private:
    STR_REMOVE(); // not defined
    ~STR_REMOVE(); // not defined
};

struct STR_GRAPHIC_OPTIMIZATION: public comphelper::ConfigurationLocalizedProperty<STR_GRAPHIC_OPTIMIZATION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_GRAPHIC_OPTIMIZATION"); }
private:
    STR_GRAPHIC_OPTIMIZATION(); // not defined
    ~STR_GRAPHIC_OPTIMIZATION(); // not defined
};

struct STR_IMAGE_OPTIMIZATION: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_OPTIMIZATION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_OPTIMIZATION"); }
private:
    STR_IMAGE_OPTIMIZATION(); // not defined
    ~STR_IMAGE_OPTIMIZATION(); // not defined
};

struct STR_LOSSLESS_COMPRESSION: public comphelper::ConfigurationLocalizedProperty<STR_LOSSLESS_COMPRESSION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_LOSSLESS_COMPRESSION"); }
private:
    STR_LOSSLESS_COMPRESSION(); // not defined
    ~STR_LOSSLESS_COMPRESSION(); // not defined
};

struct STR_JPEG_COMPRESSION: public comphelper::ConfigurationLocalizedProperty<STR_JPEG_COMPRESSION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_JPEG_COMPRESSION"); }
private:
    STR_JPEG_COMPRESSION(); // not defined
    ~STR_JPEG_COMPRESSION(); // not defined
};

struct STR_QUALITY: public comphelper::ConfigurationLocalizedProperty<STR_QUALITY, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_QUALITY"); }
private:
    STR_QUALITY(); // not defined
    ~STR_QUALITY(); // not defined
};

struct STR_REMOVE_CROP_AREA: public comphelper::ConfigurationLocalizedProperty<STR_REMOVE_CROP_AREA, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_REMOVE_CROP_AREA"); }
private:
    STR_REMOVE_CROP_AREA(); // not defined
    ~STR_REMOVE_CROP_AREA(); // not defined
};

struct STR_IMAGE_RESOLUTION: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION"); }
private:
    STR_IMAGE_RESOLUTION(); // not defined
    ~STR_IMAGE_RESOLUTION(); // not defined
};

struct STR_IMAGE_RESOLUTION_0: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION_0, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION_0"); }
private:
    STR_IMAGE_RESOLUTION_0(); // not defined
    ~STR_IMAGE_RESOLUTION_0(); // not defined
};

struct STR_IMAGE_RESOLUTION_1: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION_1, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION_1"); }
private:
    STR_IMAGE_RESOLUTION_1(); // not defined
    ~STR_IMAGE_RESOLUTION_1(); // not defined
};

struct STR_IMAGE_RESOLUTION_2: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION_2, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION_2"); }
private:
    STR_IMAGE_RESOLUTION_2(); // not defined
    ~STR_IMAGE_RESOLUTION_2(); // not defined
};

struct STR_IMAGE_RESOLUTION_3: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION_3, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION_3"); }
private:
    STR_IMAGE_RESOLUTION_3(); // not defined
    ~STR_IMAGE_RESOLUTION_3(); // not defined
};

struct STR_IMAGE_RESOLUTION_4: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION_4, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION_4"); }
private:
    STR_IMAGE_RESOLUTION_4(); // not defined
    ~STR_IMAGE_RESOLUTION_4(); // not defined
};

struct STR_IMAGE_RESOLUTION_5: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_RESOLUTION_5, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_RESOLUTION_5"); }
private:
    STR_IMAGE_RESOLUTION_5(); // not defined
    ~STR_IMAGE_RESOLUTION_5(); // not defined
};

struct STR_EMBED_LINKED_GRAPHICS: public comphelper::ConfigurationLocalizedProperty<STR_EMBED_LINKED_GRAPHICS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_EMBED_LINKED_GRAPHICS"); }
private:
    STR_EMBED_LINKED_GRAPHICS(); // not defined
    ~STR_EMBED_LINKED_GRAPHICS(); // not defined
};

struct STR_OLE_OBJECTS: public comphelper::ConfigurationLocalizedProperty<STR_OLE_OBJECTS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OLE_OBJECTS"); }
private:
    STR_OLE_OBJECTS(); // not defined
    ~STR_OLE_OBJECTS(); // not defined
};

struct STR_OLE_OPTIMIZATION: public comphelper::ConfigurationLocalizedProperty<STR_OLE_OPTIMIZATION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OLE_OPTIMIZATION"); }
private:
    STR_OLE_OPTIMIZATION(); // not defined
    ~STR_OLE_OPTIMIZATION(); // not defined
};

struct STR_OLE_REPLACE: public comphelper::ConfigurationLocalizedProperty<STR_OLE_REPLACE, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OLE_REPLACE"); }
private:
    STR_OLE_REPLACE(); // not defined
    ~STR_OLE_REPLACE(); // not defined
};

struct STR_ALL_OLE_OBJECTS: public comphelper::ConfigurationLocalizedProperty<STR_ALL_OLE_OBJECTS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_ALL_OLE_OBJECTS"); }
private:
    STR_ALL_OLE_OBJECTS(); // not defined
    ~STR_ALL_OLE_OBJECTS(); // not defined
};

struct STR_ALIEN_OLE_OBJECTS_ONLY: public comphelper::ConfigurationLocalizedProperty<STR_ALIEN_OLE_OBJECTS_ONLY, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_ALIEN_OLE_OBJECTS_ONLY"); }
private:
    STR_ALIEN_OLE_OBJECTS_ONLY(); // not defined
    ~STR_ALIEN_OLE_OBJECTS_ONLY(); // not defined
};

struct STR_OLE_OBJECTS_DESC: public comphelper::ConfigurationLocalizedProperty<STR_OLE_OBJECTS_DESC, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OLE_OBJECTS_DESC"); }
private:
    STR_OLE_OBJECTS_DESC(); // not defined
    ~STR_OLE_OBJECTS_DESC(); // not defined
};

struct STR_NO_OLE_OBJECTS_DESC: public comphelper::ConfigurationLocalizedProperty<STR_NO_OLE_OBJECTS_DESC, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_NO_OLE_OBJECTS_DESC"); }
private:
    STR_NO_OLE_OBJECTS_DESC(); // not defined
    ~STR_NO_OLE_OBJECTS_DESC(); // not defined
};

struct STR_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_SLIDES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_SLIDES"); }
private:
    STR_SLIDES(); // not defined
    ~STR_SLIDES(); // not defined
};

struct STR_CHOOSE_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_CHOOSE_SLIDES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CHOOSE_SLIDES"); }
private:
    STR_CHOOSE_SLIDES(); // not defined
    ~STR_CHOOSE_SLIDES(); // not defined
};

struct STR_DELETE_MASTER_PAGES: public comphelper::ConfigurationLocalizedProperty<STR_DELETE_MASTER_PAGES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETE_MASTER_PAGES"); }
private:
    STR_DELETE_MASTER_PAGES(); // not defined
    ~STR_DELETE_MASTER_PAGES(); // not defined
};

struct STR_DELETE_NOTES_PAGES: public comphelper::ConfigurationLocalizedProperty<STR_DELETE_NOTES_PAGES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETE_NOTES_PAGES"); }
private:
    STR_DELETE_NOTES_PAGES(); // not defined
    ~STR_DELETE_NOTES_PAGES(); // not defined
};

struct STR_DELETE_HIDDEN_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_DELETE_HIDDEN_SLIDES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETE_HIDDEN_SLIDES"); }
private:
    STR_DELETE_HIDDEN_SLIDES(); // not defined
    ~STR_DELETE_HIDDEN_SLIDES(); // not defined
};

struct STR_CUSTOM_SHOW: public comphelper::ConfigurationLocalizedProperty<STR_CUSTOM_SHOW, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CUSTOM_SHOW"); }
private:
    STR_CUSTOM_SHOW(); // not defined
    ~STR_CUSTOM_SHOW(); // not defined
};

struct STR_SUMMARY: public comphelper::ConfigurationLocalizedProperty<STR_SUMMARY, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_SUMMARY"); }
private:
    STR_SUMMARY(); // not defined
    ~STR_SUMMARY(); // not defined
};

struct STR_SUMMARY_TITLE: public comphelper::ConfigurationLocalizedProperty<STR_SUMMARY_TITLE, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_SUMMARY_TITLE"); }
private:
    STR_SUMMARY_TITLE(); // not defined
    ~STR_SUMMARY_TITLE(); // not defined
};

struct STR_APPLY_TO_CURRENT: public comphelper::ConfigurationLocalizedProperty<STR_APPLY_TO_CURRENT, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_APPLY_TO_CURRENT"); }
private:
    STR_APPLY_TO_CURRENT(); // not defined
    ~STR_APPLY_TO_CURRENT(); // not defined
};

struct STR_AUTOMATICALLY_OPEN: public comphelper::ConfigurationLocalizedProperty<STR_AUTOMATICALLY_OPEN, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_AUTOMATICALLY_OPEN"); }
private:
    STR_AUTOMATICALLY_OPEN(); // not defined
    ~STR_AUTOMATICALLY_OPEN(); // not defined
};

struct STR_SAVE_SETTINGS: public comphelper::ConfigurationLocalizedProperty<STR_SAVE_SETTINGS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_SAVE_SETTINGS"); }
private:
    STR_SAVE_SETTINGS(); // not defined
    ~STR_SAVE_SETTINGS(); // not defined
};

struct STR_SAVE_AS: public comphelper::ConfigurationLocalizedProperty<STR_SAVE_AS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_SAVE_AS"); }
private:
    STR_SAVE_AS(); // not defined
    ~STR_SAVE_AS(); // not defined
};

struct STR_DELETE_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_DELETE_SLIDES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETE_SLIDES"); }
private:
    STR_DELETE_SLIDES(); // not defined
    ~STR_DELETE_SLIDES(); // not defined
};

struct STR_OPTIMIZE_IMAGES: public comphelper::ConfigurationLocalizedProperty<STR_OPTIMIZE_IMAGES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OPTIMIZE_IMAGES"); }
private:
    STR_OPTIMIZE_IMAGES(); // not defined
    ~STR_OPTIMIZE_IMAGES(); // not defined
};

struct STR_CREATE_REPLACEMENT: public comphelper::ConfigurationLocalizedProperty<STR_CREATE_REPLACEMENT, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CREATE_REPLACEMENT"); }
private:
    STR_CREATE_REPLACEMENT(); // not defined
    ~STR_CREATE_REPLACEMENT(); // not defined
};

struct STR_CURRENT_FILESIZE: public comphelper::ConfigurationLocalizedProperty<STR_CURRENT_FILESIZE, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CURRENT_FILESIZE"); }
private:
    STR_CURRENT_FILESIZE(); // not defined
    ~STR_CURRENT_FILESIZE(); // not defined
};

struct STR_ESTIMATED_FILESIZE: public comphelper::ConfigurationLocalizedProperty<STR_ESTIMATED_FILESIZE, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_ESTIMATED_FILESIZE"); }
private:
    STR_ESTIMATED_FILESIZE(); // not defined
    ~STR_ESTIMATED_FILESIZE(); // not defined
};

struct MY_SETTINGS: public comphelper::ConfigurationLocalizedProperty<MY_SETTINGS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/MY_SETTINGS"); }
private:
    MY_SETTINGS(); // not defined
    ~MY_SETTINGS(); // not defined
};

struct STR_OK: public comphelper::ConfigurationLocalizedProperty<STR_OK, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OK"); }
private:
    STR_OK(); // not defined
    ~STR_OK(); // not defined
};

struct STR_INFO_1: public comphelper::ConfigurationLocalizedProperty<STR_INFO_1, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_1"); }
private:
    STR_INFO_1(); // not defined
    ~STR_INFO_1(); // not defined
};

struct STR_INFO_2: public comphelper::ConfigurationLocalizedProperty<STR_INFO_2, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_2"); }
private:
    STR_INFO_2(); // not defined
    ~STR_INFO_2(); // not defined
};

struct STR_INFO_3: public comphelper::ConfigurationLocalizedProperty<STR_INFO_3, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_3"); }
private:
    STR_INFO_3(); // not defined
    ~STR_INFO_3(); // not defined
};

struct STR_INFO_4: public comphelper::ConfigurationLocalizedProperty<STR_INFO_4, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_4"); }
private:
    STR_INFO_4(); // not defined
    ~STR_INFO_4(); // not defined
};

struct STR_DUPLICATING_PRESENTATION: public comphelper::ConfigurationLocalizedProperty<STR_DUPLICATING_PRESENTATION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_DUPLICATING_PRESENTATION"); }
private:
    STR_DUPLICATING_PRESENTATION(); // not defined
    ~STR_DUPLICATING_PRESENTATION(); // not defined
};

struct STR_DELETING_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_DELETING_SLIDES, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETING_SLIDES"); }
private:
    STR_DELETING_SLIDES(); // not defined
    ~STR_DELETING_SLIDES(); // not defined
};

struct STR_OPTIMIZING_GRAPHICS: public comphelper::ConfigurationLocalizedProperty<STR_OPTIMIZING_GRAPHICS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_OPTIMIZING_GRAPHICS"); }
private:
    STR_OPTIMIZING_GRAPHICS(); // not defined
    ~STR_OPTIMIZING_GRAPHICS(); // not defined
};

struct STR_CREATING_OLE_REPLACEMENTS: public comphelper::ConfigurationLocalizedProperty<STR_CREATING_OLE_REPLACEMENTS, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_CREATING_OLE_REPLACEMENTS"); }
private:
    STR_CREATING_OLE_REPLACEMENTS(); // not defined
    ~STR_CREATING_OLE_REPLACEMENTS(); // not defined
};

struct STR_FILESIZESEPARATOR: public comphelper::ConfigurationLocalizedProperty<STR_FILESIZESEPARATOR, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_FILESIZESEPARATOR"); }
private:
    STR_FILESIZESEPARATOR(); // not defined
    ~STR_FILESIZESEPARATOR(); // not defined
};

struct STR_FILENAME_SUFFIX: public comphelper::ConfigurationLocalizedProperty<STR_FILENAME_SUFFIX, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_FILENAME_SUFFIX"); }
private:
    STR_FILENAME_SUFFIX(); // not defined
    ~STR_FILENAME_SUFFIX(); // not defined
};

struct STR_WARN_UNSAVED_PRESENTATION: public comphelper::ConfigurationLocalizedProperty<STR_WARN_UNSAVED_PRESENTATION, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Strings/STR_WARN_UNSAVED_PRESENTATION"); }
private:
    STR_WARN_UNSAVED_PRESENTATION(); // not defined
    ~STR_WARN_UNSAVED_PRESENTATION(); // not defined
};

private:
    Strings(); // not defined
    ~Strings(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Settings"); }

struct Templates: public comphelper::ConfigurationSet< Templates> {
    static OUString path() { return OUString("/org.openoffice.Office.PresentationMinimizer/Settings/Templates"); }
private:
    Templates(); // not defined
    ~Templates(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

} } }

#endif
