#ifndef INCLUDED_OFFICECFG_OFFICE_PRESENTERSCREEN_HXX
#define INCLUDED_OFFICECFG_OFFICE_PRESENTERSCREEN_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace PresenterScreen {

struct PresenterScreenSettings: public comphelper::ConfigurationGroup< PresenterScreenSettings> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings"); }

struct ToolBars: public comphelper::ConfigurationSet< ToolBars> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/ToolBars"); }
private:
    ToolBars(); // not defined
    ~ToolBars(); // not defined
};

struct Buttons: public comphelper::ConfigurationSet< Buttons> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/Buttons"); }
private:
    Buttons(); // not defined
    ~Buttons(); // not defined
};

struct ScrollBar: public comphelper::ConfigurationGroup< ScrollBar> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/ScrollBar"); }

struct Bitmaps: public comphelper::ConfigurationSet< Bitmaps> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/ScrollBar/Bitmaps"); }
private:
    Bitmaps(); // not defined
    ~Bitmaps(); // not defined
};

private:
    ScrollBar(); // not defined
    ~ScrollBar(); // not defined
};

struct SlideSorter: public comphelper::ConfigurationGroup< SlideSorter> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/SlideSorter"); }

struct CurrentSlideBorderBitmaps: public comphelper::ConfigurationSet< CurrentSlideBorderBitmaps> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/SlideSorter/CurrentSlideBorderBitmaps"); }
private:
    CurrentSlideBorderBitmaps(); // not defined
    ~CurrentSlideBorderBitmaps(); // not defined
};

private:
    SlideSorter(); // not defined
    ~SlideSorter(); // not defined
};

struct HelpView: public comphelper::ConfigurationGroup< HelpView> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/HelpView"); }

struct HelpStrings: public comphelper::ConfigurationSet< HelpStrings> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/PresenterScreenSettings/HelpView/HelpStrings"); }
private:
    HelpStrings(); // not defined
    ~HelpStrings(); // not defined
};

private:
    HelpView(); // not defined
    ~HelpView(); // not defined
};

private:
    PresenterScreenSettings(); // not defined
    ~PresenterScreenSettings(); // not defined
};

struct Presenter: public comphelper::ConfigurationGroup< Presenter> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter"); }

struct StartAlways: public comphelper::ConfigurationProperty<StartAlways, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/StartAlways"); }
private:
    StartAlways(); // not defined
    ~StartAlways(); // not defined
};

struct Themes: public comphelper::ConfigurationSet< Themes> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/Themes"); }
private:
    Themes(); // not defined
    ~Themes(); // not defined
};

struct CurrentTheme: public comphelper::ConfigurationProperty<CurrentTheme, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/CurrentTheme"); }
private:
    CurrentTheme(); // not defined
    ~CurrentTheme(); // not defined
};

struct Views: public comphelper::ConfigurationSet< Views> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/Views"); }
private:
    Views(); // not defined
    ~Views(); // not defined
};

struct Layouts: public comphelper::ConfigurationSet< Layouts> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/Layouts"); }
private:
    Layouts(); // not defined
    ~Layouts(); // not defined
};

struct CurrentLayout: public comphelper::ConfigurationProperty<CurrentLayout, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/CurrentLayout"); }
private:
    CurrentLayout(); // not defined
    ~CurrentLayout(); // not defined
};

struct Accessibility: public comphelper::ConfigurationSet< Accessibility> {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/Accessibility"); }
private:
    Accessibility(); // not defined
    ~Accessibility(); // not defined
};

struct InitialViewMode: public comphelper::ConfigurationProperty<InitialViewMode, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.PresenterScreen/Presenter/InitialViewMode"); }
private:
    InitialViewMode(); // not defined
    ~InitialViewMode(); // not defined
};

private:
    Presenter(); // not defined
    ~Presenter(); // not defined
};

} } }

#endif
