#ifndef INCLUDED_OFFICECFG_OFFICE_SCRIPTING_HXX
#define INCLUDED_OFFICECFG_OFFICE_SCRIPTING_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Scripting {

struct ScriptRuntimes: public comphelper::ConfigurationSet< ScriptRuntimes> {
    static OUString path() { return OUString("/org.openoffice.Office.Scripting/ScriptRuntimes"); }
private:
    ScriptRuntimes(); // not defined
    ~ScriptRuntimes(); // not defined
};

struct Basic: public comphelper::ConfigurationGroup< Basic> {
    static OUString path() { return OUString("/org.openoffice.Office.Scripting/Basic"); }

struct Compatibility: public comphelper::ConfigurationGroup< Compatibility> {
    static OUString path() { return OUString("/org.openoffice.Office.Scripting/Basic/Compatibility"); }

struct UseLibreOffice6FloatingPointConversion: public comphelper::ConfigurationProperty<UseLibreOffice6FloatingPointConversion, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Scripting/Basic/Compatibility/UseLibreOffice6FloatingPointConversion"); }
private:
    UseLibreOffice6FloatingPointConversion(); // not defined
    ~UseLibreOffice6FloatingPointConversion(); // not defined
};

private:
    Compatibility(); // not defined
    ~Compatibility(); // not defined
};

private:
    Basic(); // not defined
    ~Basic(); // not defined
};

} } }

#endif
