#ifndef INCLUDED_OFFICECFG_OFFICE_UI_HXX
#define INCLUDED_OFFICECFG_OFFICE_UI_HXX

#include "sal/config.h"

#include <optional>
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace UI {

struct FilterClassification: public comphelper::ConfigurationGroup< FilterClassification> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilterClassification"); }

struct GlobalFilters: public comphelper::ConfigurationGroup< GlobalFilters> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilterClassification/GlobalFilters"); }

struct Order: public comphelper::ConfigurationProperty<Order, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilterClassification/GlobalFilters/Order"); }
private:
    Order(); // not defined
    ~Order(); // not defined
};

struct Classes: public comphelper::ConfigurationSet< Classes> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilterClassification/GlobalFilters/Classes"); }
private:
    Classes(); // not defined
    ~Classes(); // not defined
};

private:
    GlobalFilters(); // not defined
    ~GlobalFilters(); // not defined
};

struct LocalFilters: public comphelper::ConfigurationGroup< LocalFilters> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilterClassification/LocalFilters"); }

struct Classes: public comphelper::ConfigurationSet< Classes> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilterClassification/LocalFilters/Classes"); }
private:
    Classes(); // not defined
    ~Classes(); // not defined
};

private:
    LocalFilters(); // not defined
    ~LocalFilters(); // not defined
};

private:
    FilterClassification(); // not defined
    ~FilterClassification(); // not defined
};

struct ColorScheme: public comphelper::ConfigurationGroup< ColorScheme> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/ColorScheme"); }

struct CurrentColorScheme: public comphelper::ConfigurationProperty<CurrentColorScheme, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.UI/ColorScheme/CurrentColorScheme"); }
private:
    CurrentColorScheme(); // not defined
    ~CurrentColorScheme(); // not defined
};

struct ColorSchemes: public comphelper::ConfigurationSet< ColorSchemes> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/ColorScheme/ColorSchemes"); }
private:
    ColorSchemes(); // not defined
    ~ColorSchemes(); // not defined
};

private:
    ColorScheme(); // not defined
    ~ColorScheme(); // not defined
};

struct FilePicker: public comphelper::ConfigurationGroup< FilePicker> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilePicker"); }

struct FillAsynchronously: public comphelper::ConfigurationProperty<FillAsynchronously, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilePicker/FillAsynchronously"); }
private:
    FillAsynchronously(); // not defined
    ~FillAsynchronously(); // not defined
};

struct Timeout: public comphelper::ConfigurationGroup< Timeout> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilePicker/Timeout"); }

struct Min: public comphelper::ConfigurationProperty<Min, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilePicker/Timeout/Min"); }
private:
    Min(); // not defined
    ~Min(); // not defined
};

struct Max: public comphelper::ConfigurationProperty<Max, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.UI/FilePicker/Timeout/Max"); }
private:
    Max(); // not defined
    ~Max(); // not defined
};

private:
    Timeout(); // not defined
    ~Timeout(); // not defined
};

private:
    FilePicker(); // not defined
    ~FilePicker(); // not defined
};

} } }

#endif
